# :star2: react-modern-normalize

> A React component that removes the default browsers' styles of whatever is inside the component, useful when you need to have consistant styles across all browsers. A port of the awesome project [modern-normalize](https://github.com/sindresorhus/modern-normalize) made by [@sindresorhus](https://github.com/sindresorhus) :dizzy: 

## :metal: Installation

NPM: `npm install --save react-modern-normalize`

Yarn: `yarn add react-modern-normalize`

## :sparkles: Usage

Example of Usage with create-react-app, it is a good practice to **wrap** your app's component with the **ModernNormalize** component to remove the default styles of the whole application for a more consistent styling across your whole application.

```js
import React from 'react';
import { render } from 'react-dom';
import ModernNormalize from 'react-modern-normalize';
import App from './App.js';

render(
    <ModernNormalize>
        <App />
    </ModernNormalize>,
    document.getElementById('root');
);
```

## :smirk_cat: License
MIT License

Copyright (c) 2018 Ahmed Tarek

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.


